package apifest;

import java.math.BigDecimal;
import java.util.Currency;
import junit.framework.TestCase;
import org.apidesign.apifest08.currency.Convertor;
import org.apidesign.apifest08.currency.ConvertorFactory;
import org.apidesign.apifest08.currency.Money;


/** Write a test that works with version from task A and fails with version B.
 */
public class CurrencyTest extends TestCase {
    public CurrencyTest(String n) {
        super(n);
    }
    
    public void testCompatibility() throws Exception {
        Money m = new Money() {
            public BigDecimal getAmount() {
                return new BigDecimal(1);
            }

            public Currency getCurrency() {
                return Currency.getInstance("CZK");
            }
        };
        Convertor c = ConvertorFactory.createConvertor(m, m);
    }
}
